# Able to create items of SKU that already exist in Catalog

**URL:** <https://developer.squareup.com/forums/t/able-to-create-items-of-sku-that-already-exist-in-catalog/20172>\
**Category:** Questions\
**Tags:** catalog-api\
**Created:** [December 19, 2024, 8:51am UTC](https://developer.squareup.com/forums/t/able-to-create-items-of-sku-that-already-exist-in-catalog/20172 "2024-12-19T08:51:06Z")\
**Posts on this page:** 2\
**Page:** 1

<div class="post-metadata">

**Author:** ![tech\_rk](https://avatars.discourse-cdn.com/v4/letter/t/b9bd4f/32.png) [@tech\_rk](https://developer.squareup.com/forums/u/tech_rk)\
**Post date:** [December 19, 2024, 8:51am UTC](https://developer.squareup.com/forums/t/able-to-create-items-of-sku-that-already-exist-in-catalog/20172/1 "2024-12-19T08:51:07Z")

</div>

Refer this sample cURL request

```auto
curl https://connect.squareup.com/v2/catalog/batch-upsert \
  -X POST \
  -H 'Square-Version: 2024-12-18' \
  -H 'Authorization: Bearer ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "idempotency_key": "5c474ed9-881b-44fb-a66e-57dbdd91e456",
    "batches": [
      {
        "objects": [
          {
            "id": "#SKU_001",
            "type": "ITEM",
            "present_at_all_locations": true,
            "version": 2,
            "is_deleted": false,
            "item_data": {
              "description_html": "RMS SKU Display Name",
              "name": "RMS SKU Display Name",
              "product_type": "REGULAR",
              "variations": [
                {
                  "id": "#SKU_001--Var01",
                  "type": "ITEM_VARIATION",
                  "is_deleted": false,
                  "present_at_all_locations": true,
                  "item_variation_data": {
                    "item_id": "#SKU_001",
                    "name": "Bin Store",
                    "stockable": true,
                    "track_inventory": true,
                    "price_money": {
                      "amount": 0,
                      "currency": "USD"
                    },
                    "pricing_type": "FIXED_PRICING",
                    "sellable": true
                  },
                  "version": 1
                },
                {
                  "id": "#SKU_001--Var02",
                  "type": "ITEM_VARIATION",
                  "is_deleted": false,
                  "item_variation_data": {
                    "item_id": "#SKU_001",
                    "name": "Discount STore",
                    "price_money": {
                      "amount": 10000,
                      "currency": "USD"
                    },
                    "pricing_type": "FIXED_PRICING",
                    "sellable": true,
                    "stockable": true,
                    "track_inventory": true
                  },
                  "present_at_all_locations": true,
                  "version": 1
                },
                {
                  "id": "#SKU_001--Var01_UPC",
                  "type": "ITEM_VARIATION",
                  "is_deleted": false,
                  "item_variation_data": {
                    "item_id": "#SKU_001",
                    "name": "UPC_SKU_001",
                    "sku": "UPC_SKU_001",
                    "sellable": false,
                    "track_inventory": false,
                    "upc": "UPC_SKU_001",
                    "price_money": {
                      "amount": 0,
                      "currency": "USD"
                    },
                    "inventory_alert_type": "NONE"
                  },
                  "present_at_all_locations": false,
                  "version": 1
                },
                {
                  "id": "#SKU_001--Var01_ASIN",
                  "type": "ITEM_VARIATION",
                  "is_deleted": false,
                  "present_at_all_locations": false,
                  "version": 1,
                  "item_variation_data": {
                    "item_id": "#SKU_001",
                    "name": "ASIN_SKU_001",
                    "sellable": false,
                    "sku": "ASIN_SKU_001",
                    "track_inventory": false,
                    "upc": "ASIN_SKU_001",
                    "price_money": {
                      "amount": 0,
                      "currency": "USD"
                    }
                  }
                }
              ],
              "skip_modifier_screen": false,
              "modifier_list_info": [
                {
                  "modifier_list_id": "J4FNWSDS6WAI5DLEVIO4NMJC",
                  "enabled": true,
                  "max_selected_modifiers": 1,
                  "min_selected_modifiers": 1
                }
              ]
            },
            "custom_attribute_values": {
              "4287e5a3-7bc7-49c0-85ba-07e8ca08cdc3": {
                "name": "RMS--SKU_ID",
                "number_value": "9999"
              }
            }
          }
        ]
      }
    ]
  }'

```

You can hit this multiple times with different idempotency key and result in succeed

---

<div class="post-metadata">

**Author:** ![Bryan-Square](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/bryan-square/32/38_2.png) [@Bryan-Square](https://developer.squareup.com/forums/u/Bryan-Square)\
**Post date:** [December 19, 2024, 5:18pm UTC](https://developer.squareup.com/forums/t/able-to-create-items-of-sku-that-already-exist-in-catalog/20172/2 "2024-12-19T17:18:39Z")

</div>

Yep, this is expected. We will allow you to create items with the same SKU but in the Dashboard we will display a warning that you’ve created an item with a duplicate SKU. 🙂
